$(document).ready(function(){
    
    var WindowHeight=window.innerHeight;
    var windowWidth=window.innerWidth;
    
    $(window).resize(function(){
        HmenuSlid_resizement();
        HmenuSlid_implementation();
        HmenuSlid_scroll();
    });
 
    
    $(".catlist .topCat li span b").click(function(){
        if($(this).parent().parent().hasClass("activate")){
            $(this).parent().parent().find(".activate").removeClass("activate");
            $(this).parent().parent().find(".index").removeClass("index");
            $(this).parent().parent().parents("ul").eq(0).addClass("index");
            $(this).parent().parent().removeClass("activate");
        }else{
            $(this).parents(".topCat").find("ul").removeClass("index");
            $(this).parents(".topCat").find("ul").removeClass("activate");
            $(this).parents(".topCat").find("li").removeClass("activate");
            $(this).parentsUntil(".topCat").filter("ul").each(function(){
               $(this).addClass("activate");
            });
            $(this).parent().next().addClass("index");
            $(this).parent().next().addClass("activate");
            $(this).parentsUntil(".topCat").filter("li").each(function(){
                $(this).addClass("activate");
            });
        }
    });
    
    
    
    
    HmenuSlid_resizement();
    HmenuSlid_implementation();
    HmenuSlid_scroll();
    function HmenuSlid_resizement(){
        $(".HmenuSlid>.slidBox>.topCat").each(function(){
             var bord = $(this).outerWidth() - $(this).innerWidth();
             var padd = $(this).innerWidth() - $(this).width();
             var width=bord+padd+1;
             $(this).children().each(function(){
                 width=width+$(this).outerWidth(true);
             });
             
             $(this).css("width",width);
        });
    }
    
    function HmenuSlid_implementation(){
        $(".HmenuSlid>.slidBox>.topCat").each(function(){
            var parent=$(this).parent();
            var outerbox=parent.outerWidth();
            var innerbox=$(this).outerWidth();
            var maxScroll=innerbox-outerbox;
            // alert(outerbox+"------"+innerbox);
            if(innerbox>outerbox){
                (parent.scrollLeft()<0)?(!parent.parent().find(".slidRight").hasClass("activesLbtn"))?parent.parent().find(".slidRight").eq(0).addClass("activesLbtn"):"":parent.parent().find(".slidRight").eq(0).removeClass("activesLbtn");
                (parent.scrollLeft()>maxScroll*-1)?(!parent.parent().find(".slidLeft").eq(0).hasClass("activesLbtn"))?parent.parent().find(".slidLeft").eq(0).addClass("activesLbtn"):"":parent.parent().find(".slidLeft").eq(0).removeClass("activesLbtn");

            }else{
                parent.parent().find(".sLbtn").removeClass("activesLbtn");
            }
            
        });
    }
    function HmenuSlid_scroll(){
        $(".HmenuSlid>.slidBox").scroll(function(){
            var parent=$(this);
            var outerbox=parent.outerWidth();
            var innerbox=parent.children().filter(".topCat").eq(0).outerWidth();
            var maxScroll=innerbox-outerbox;
            if(innerbox>outerbox){
                (parent.scrollLeft()<0)?(!parent.parent().find(".slidRight").hasClass("activesLbtn"))?parent.parent().find(".slidRight").eq(0).addClass("activesLbtn"):"":parent.parent().find(".slidRight").eq(0).removeClass("activesLbtn");
                (parent.scrollLeft()>maxScroll*-1)?(!parent.parent().find(".slidLeft").eq(0).hasClass("activesLbtn"))?parent.parent().find(".slidLeft").eq(0).addClass("activesLbtn"):"":parent.parent().find(".slidLeft").eq(0).removeClass("activesLbtn");

            }else{
                parent.parent().find(".sLbtn").removeClass("activesLbtn");
            }
        });
    }
    
    
    $(document).on("click", ".HcategoryOpenMenu" ,function(){
        if($(this).parent().parent().hasClass("activate")){
            $(this).parents(".topCat").parent().parent().nextAll().remove();
            $(this).parent().parent().removeClass("activate");
        }else{
            var obj=$(this).parent().siblings("ul").eq(0).html();
            $(this).parents(".topCat").parent().parent().nextAll().remove();
            $(this).parents(".topCat").parent().parent().after("<div class='HmenuSlid'><div class='slidBox scrollHide'><ul class='topCat'>"+obj+"</ul></div><span class='fas fa-angle-left slidLeft sLbtn'></span><span class='fas fa-angle-right slidRight sLbtn'></span></div>");
            $(this).parent().parent().addClass("activate");
            $(this).parent().parent().siblings("li").removeClass("activate");
            HmenuSlid_resizement();
            HmenuSlid_implementation();
            HmenuSlid_scroll();
        }
        
    });
    
    $(document).on("click", ".sLbtn" ,function(){
        var parent=$(this).siblings(".slidBox").eq(0);
        var z=parent.width()*(-1);
        var x=parent.scrollLeft();
        var b=$(this).outerWidth()*2;
        if($(this).hasClass("slidLeft")){
            parent.scrollLeft(x+z+b);
        }else{
            parent.scrollLeft(x-z-b);
        }

    });
    

});


    
    //fixbox.children().eq(0).offset().left

    

    


